Kea: isc::util::VersionedColumn Class Reference

| Kea 3.0.2-git

isc::util::VersionedColumn Class Reference

Contains the metadata for a single column in a file. More...

`#include <versioned_csv_file.h>`

## Public Member Functions
| VersionedColumn (const std::string &name, const std::string &version, const std::string &default_value="")
| Constructor.
virtual | ~VersionedColumn ()
| Destructor.

## Public Attributes
std::string | default_value_
| default_value The value the column should be assigned if it is not present in a data row.
std::string | name_
| Name of the column.
std::string | version_
| Text representation of the schema version in which this column first appeared.

## Detailed Description

Contains the metadata for a single column in a file.

Definition at line 23 of file versioned_csv_file.h.

## Constructor & Destructor Documentation

## ◆ VersionedColumn()

isc::util::VersionedColumn::VersionedColumn | ( | const std::string & | name,
|  | const std::string & | version,
|  | const std::string & | default_value = "" )
| inline

Constructor.

Parameters

  name | Name of the column.
  version | Text representation of the schema version in which this column first appeared.
  default_value | The value the column should be assigned if it is not present in a data row. It defaults to an empty string, ""

Definition at line 32 of file versioned_csv_file.h.

References default_value_, name_, version(), and version_.

Here is the call graph for this function:

## ◆ ~VersionedColumn()

virtual isc::util::VersionedColumn::~VersionedColumn | ( |  | ) |
| inlinevirtual

Destructor.

Definition at line 38 of file versioned_csv_file.h.

## Member Data Documentation

## ◆ default_value_

std::string isc::util::VersionedColumn::default_value_

default_value The value the column should be assigned if it is not present in a data row.

Definition at line 49 of file versioned_csv_file.h.

Referenced by VersionedColumn().

## ◆ name_

std::string isc::util::VersionedColumn::name_

Name of the column.

Definition at line 41 of file versioned_csv_file.h.

Referenced by VersionedColumn().

## ◆ version_

std::string isc::util::VersionedColumn::version_

Text representation of the schema version in which this column first appeared.

Definition at line 45 of file versioned_csv_file.h.

Referenced by VersionedColumn().

The documentation for this class was generated from the following file:

- versioned_csv_file.h